#
# spec file for package GraphicsMagick
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           GraphicsMagick
Version:        1.3.25
Release:        111.1
# Define Quantum depth
%define quant 16
%define base_version 1.3
%define so_ver          3
%define pp_so_ver       12
%define wand_so_ver     2
Summary:        Viewer and Converter for Images
License:        MIT
Group:          Productivity/Graphics/Convertors
Url:            http://www.GraphicsMagick.org/
Source:         ftp://ftp.GraphicsMagick.org/pub/%{name}/%{base_version}/%{name}-%{version}.tar.bz2
# following typemap file is needed for building PerlMagick with perl 5.16;
# should be present in Graphics Magick 1.4.0
Source1:        typemap
Patch0:         %{name}-perl-link.patch
Patch2:         %{name}-debian-fixed.patch
Patch10:        %{name}-include.patch
Patch11:        GraphicsMagick-CVE-2016-5118.patch
Patch12:        GraphicsMagick-CVE-2014-9805.patch
Patch13:        GraphicsMagick-CVE-2014-9846.patch
Patch14:        GraphicsMagick-CVE-2014-9807.patch
Patch15:        GraphicsMagick-CVE-2014-9809.patch
Patch16:        GraphicsMagick-CVE-2014-9815.patch
Patch17:        GraphicsMagick-CVE-2014-9817.patch
Patch18:        GraphicsMagick-CVE-2014-9820.patch
Patch19:        GraphicsMagick-CVE-2014-9834.patch
Patch20:        GraphicsMagick-CVE-2014-9835,9831.patch
Patch21:        GraphicsMagick-CVE-2014-9837.patch
Patch22:        GraphicsMagick-CVE-2014-9845.patch
Patch23:        GraphicsMagick-CVE-2014-9853.patch
Patch24:        GraphicsMagick-CVE-2016-7529.patch
Patch25:        GraphicsMagick-CVE-2016-7528.patch
Patch26:        GraphicsMagick-CVE-2016-7515.patch
Patch27:        GraphicsMagick-CVE-2016-7522.patch
Patch28:        GraphicsMagick-CVE-2016-7531.patch
Patch29:        GraphicsMagick-CVE-2016-7533.patch
Patch30:        GraphicsMagick-CVE-2016-7537.patch
Patch31:        GraphicsMagick-CVE-2016-6823.patch
Patch32:        GraphicsMagick-CVE-2016-7101.patch
Patch33:        GraphicsMagick-write-tiff-div-by-zero.patch
Patch34:        GraphicsMagick-buffer-overflow-map.patch
Patch35:        GraphicsMagick-CVE-2016-7800.patch
Patch36:        GraphicsMagick-CVE-2016-7996,7997.patch
Patch37:        GraphicsMagick-CVE-2016-8684.patch
Patch38:        GraphicsMagick-CVE-2016-8682.patch
Patch39:        GraphicsMagick-CVE-2016-8683.patch
Patch40:        GraphicsMagick-CVE-2016-8862.patch
Patch41:        GraphicsMagick-CVE-2016-9556.patch
Patch42:        GraphicsMagick-CVE-2016-8866.patch
Patch43:        GraphicsMagick-CVE-2016-9830.patch
Patch44:        GraphicsMagick-CVE-2016-10050.patch
Patch45:        GraphicsMagick-CVE-2016-10051.patch
Patch46:        GraphicsMagick-CVE-2016-10052.patch
Patch47:        GraphicsMagick-CVE-2016-10048.patch
Patch48:        GraphicsMagick-CVE-2016-10146.patch
Patch49:        GraphicsMagick-CVE-2017-5511.patch
Patch50:        GraphicsMagick-CVE-2016-10068.patch
Patch51:        GraphicsMagick-CVE-2016-10070.patch
Patch52:        GraphicsMagick-CVE-2017-6335.patch
Patch53:        GraphicsMagick-CVE-2017-8350.patch
Patch54:        GraphicsMagick-CVE-2017-8351.patch
Patch55:        GraphicsMagick-CVE-2017-13066.patch
Patch56:        GraphicsMagick-CVE-2017-8355.patch
Patch57:        GraphicsMagick-CVE-2017-9142.patch
Patch58:        GraphicsMagick-CVE-2017-11403.patch
Patch59:        GraphicsMagick-CVE-2017-11643.patch
Patch60:        GraphicsMagick-CVE-2017-11636.patch
Patch61:        GraphicsMagick-CVE-2017-14532.patch
Patch62:        GraphicsMagick-CVE-2017-15033.patch
Patch63:        GraphicsMagick-CVE-2017-13775.patch
Patch64:        GraphicsMagick-CVE-2017-13063,13064,13065.patch
Patch65:        GraphicsMagick-CVE-2017-12937.patch
Patch66:        GraphicsMagick-CVE-2017-13139.patch
Patch67:        GraphicsMagick-CVE-2017-12936.patch
Patch68:        GraphicsMagick-CVE-2017-14165.patch
Patch69:        GraphicsMagick-CVE-2017-12983.patch
Patch70:        GraphicsMagick-CVE-2017-15930.patch
Patch71:        GraphicsMagick-CVE-2017-13134.patch
Patch72:        GraphicsMagick-CVE-2017-13776,13777,CVE-2018-16323.patch
Patch73:        GraphicsMagick-CVE-2017-14342.patch
Patch74:        GraphicsMagick-CVE-2017-14341.patch
Patch75:        GraphicsMagick-CVE-2017-16546.patch
Patch76:        GraphicsMagick-CVE-2017-16545.patch
Patch77:        GraphicsMagick-CVE-2017-16669.patch
Patch78:        GraphicsMagick-CVE-2017-13737.patch
Patch79:        GraphicsMagick-CVE-2017-11640.patch
Patch80:        GraphicsMagick-CVE-2017-10799.patch
Patch81:        GraphicsMagick-CVE-2017-14994.patch
Patch82:        GraphicsMagick-CVE-2017-12140,12644.patch
Patch83:        GraphicsMagick-CVE-2017-12662.patch
Patch84:        GraphicsMagick-CVE-2017-14733.patch
Patch85:        GraphicsMagick-CVE-2017-15277.patch
Patch86:        GraphicsMagick-CVE-2017-14042.patch
Patch87:        GraphicsMagick-CVE-2017-14504.patch
Patch88:        GraphicsMagick-CVE-2017-17498.patch
Patch89:        GraphicsMagick-pwp.c-memory-leak.patch
Patch90:        GraphicsMagick-CVE-2017-16547.patch
Patch91:        GraphicsMagick-CVE-2017-11449.patch
Patch92:        GraphicsMagick-CVE-2017-11641.patch
Patch93:        GraphicsMagick-mat.c-update.patch
Patch94:        GraphicsMagick-CVE-2017-18022.patch
Patch95:        GraphicsMagick-png.c-update.patch
Patch96:        GraphicsMagick-CVE-2018-5685.patch
Patch97:        GraphicsMagick-CVE-2017-17912.patch
Patch98:        GraphicsMagick-CVE-2017-18229.patch
Patch99:        GraphicsMagick-CVE-2017-14224.patch
Patch100:       GraphicsMagick-CVE-2017-11450.patch
Patch101:       GraphicsMagick-CVE-2017-11140.patch
Patch102:       GraphicsMagick-dcm.c-update.patch
Patch103:       GraphicsMagick-cmyk.c-update.patch
Patch104:       GraphicsMagick-CVE-2017-14060.patch
Patch105:       GraphicsMagick-gray.c-update.patch
Patch106:       GraphicsMagick-CVE-2017-11638,11642.patch
Patch107:       GraphicsMagick-CVE-2017-11637.patch
Patch108:       GraphicsMagick-rgb.c-update.patch
Patch109:       GraphicsMagick-CVE-2017-17682.patch
Patch110:       GraphicsMagick-CVE-2017-11533.patch
Patch111:       GraphicsMagick-CVE-2017-15017.patch
Patch112:       GraphicsMagick-CVE-2017-15016.patch
Patch113:       GraphicsMagick-CVE-2017-14314.patch
Patch114:       GraphicsMagick-CVE-2017-16352.patch
Patch115:       GraphicsMagick-CVE-2017-16353.patch
Patch116:       GraphicsMagick-CVE-2017-14505.patch
Patch117:       GraphicsMagick-CVE-2017-18230.patch
Patch118:       GraphicsMagick-CVE-2017-11524.patch
Patch119:       GraphicsMagick-CVE-2017-18251.patch
Patch120:       GraphicsMagick-CVE-2017-18254.patch
Patch121:       GraphicsMagick-CVE-2018-9018.patch
Patch122:       GraphicsMagick-CVE-2018-6799.patch
Patch123:       GraphicsMagick-CVE-2018-10177.patch
Patch124:       GraphicsMagick-CVE-2017-18271.patch
Patch125:       GraphicsMagick-dcm.c-update-2.patch
Patch126:       GraphicsMagick-CVE-2018-10805.patch
Patch127:       GraphicsMagick-CVE-2018-14435.patch
Patch128:       GraphicsMagick-disable-insecure-coders.patch
Patch129:       GraphicsMagick-CVE-2018-16645.patch
Patch130:       GraphicsMagick-CVE-2018-16644.patch
Patch131:       GraphicsMagick-meta.c-update.patch
Patch132:       GraphicsMagick-CVE-2018-18024.patch
BuildRequires:  cups-client
BuildRequires:  dcraw
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  ghostscript-fonts-other
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-library
BuildRequires:  libbz2-devel
BuildRequires:  libjasper-devel
BuildRequires:  libjbig-devel
BuildRequires:  liblcms2-devel
BuildRequires:  libltdl-devel
BuildRequires:  libtiff-devel
BuildRequires:  libwebp-devel
BuildRequires:  libwmf-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
Requires:       xorg-x11-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GraphicsMagick(TM) provides a powerful image manipulation
andtranslation utility. It is capable of displaying still images and
animations using the X Window system which provides a simple interface
forinteractively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick is one of your choices if
you need a program to manipulate and display images.It can read and
write over 88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM,
GIF, andPhoto CD. Besides it allows you to resize, rotate, sharpen,
color reduce, or add special effects to an image and to save the result
to any supported format. GraphicsMagick may be used to create animated
or transparent .gifs, to composite images, to create thumbnail images
and a lot more. If you want to develop your own applications which use
GraphicsMagick code or APIs, you need to install GraphicsMagick-devel
as well.

This package is compiled with Q%{quant}, which means that it provides better
performance on %{quant} bit images and less.

%package     -n libGraphicsMagick-Q%{quant}-%{so_ver}
Summary:        Viewer and Converter for Images - runtime library
Group:          System/Libraries
Requires:       libGraphicsMagick3-config = %{version}

%description -n libGraphicsMagick-Q%{quant}-%{so_ver}
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

GraphicsMagick is one of your choices if you need a program to
manipulate and display images. If you want to develop your own
applications which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

This package is compiled with Q%{quant}, that means it provides better
performance on %{quant} and less bit images.

%package     -n libGraphicsMagick%{so_ver}-config
Summary:        Viewer and Converter for Images - library config
Group:          Productivity/Graphics/Convertors

%description -n libGraphicsMagick%{so_ver}-config
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

GraphicsMagick is one of your choices if you need a program to
manipulate and display images. If you want to develop your own
applications which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

This package contains GraphicsMagick library configuration files.

%package     -n libGraphicsMagickWand-Q%{quant}-%{wand_so_ver}
Summary:        Viewer and Converter for Images - runtime library
Group:          System/Libraries

%description -n libGraphicsMagickWand-Q%{quant}-%{wand_so_ver}
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

GraphicsMagick is one of your choices if you need a program to
manipulate and display images. If you want to develop your own
applications which use GraphicsMagick code or APIs, you need to install
GraphicsMagick-devel as well.

This package is compiled with Q%{quant}, that means it provides better
performance on %{quant} and less bit images.

%package        devel
Summary:        Viewer and Converter for Images - files mandatory for development
# These comes from check in AB for 11.4
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libGraphicsMagick-Q%{quant}-%{so_ver} = %{version}
Requires:       libGraphicsMagickWand-Q%{quant}-%{wand_so_ver} = %{version}

%description    devel
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

%package     -n perl-GraphicsMagick
Summary:        Viewer and Converter for Images - perl interface
Group:          Development/Libraries/Perl
Requires:       %{name} = %{version}
Requires:       perl = %{perl_version}

%description -n perl-GraphicsMagick
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

This package contains perl interface to GraphicsMagick library.

%package     -n libGraphicsMagick++-Q%{quant}-%{pp_so_ver}
Summary:        Viewer and Converter for Images - C++ interface
Group:          System/Libraries

%description -n libGraphicsMagick++-Q%{quant}-%{pp_so_ver}
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

This subpackage contains C++ interface to GraphicsMagick library.

%package     -n libGraphicsMagick++-devel
Summary:        Viewer and Converter for Images - C++ interface - development files
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}
Requires:       c++_compiler
Requires:       libGraphicsMagick++-Q%{quant}-%{pp_so_ver} = %{version}
Provides:       GraphicsMagick-C++-devel
Obsoletes:      GraphicsMagick-C++-devel <= 1.1.7

%description -n libGraphicsMagick++-devel
GraphicsMagick(TM) provides a powerful image manipulation and
translation utility. It is capable of displaying still images and
animations using the X Window system, provides a simple interface for
interactively editing images, and is capable of importing selected
windows or the entire desktop. GraphicsMagick can read and write over
88 image formats, including JPEG, TIFF, WMF, SVG, PNG, PNM, GIF, and
Photo CD. It can resize, rotate, sharpen, color reduce, or add special
effects to the image and save the result to any supported format.
GraphicsMagick may be used to create animated or transparent .gifs,
create composite images, create thumbnail images, and much, much, more.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch10
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1

%build
export PERLOPTS="PREFIX=%{buildroot}%{_prefix}"
# This shouldn't be there yet.
rm -f PerlMagick/Makefile.PL
export CFLAGS="$RPM_OPT_FLAGS -fPIE"
%configure --enable-shared --disable-static \
	--with-modules --enable-lzw \
	--with-frozenpaths \
	--without-perl \
	--with-magick-plus-plus \
	--with-quantum-depth=%{quant} \
	--enable-quantum-library-names \
	--docdir=%{_defaultdocdir}/%{name} \
	--with-x \
	--x-libraries=%{_libdir} \
	--x-includes=%{_prefix}/include
#	--with-perl-options="$PERLOPTS" \
make %{?_smp_mflags} LDFLAGS="-pie"
cd PerlMagick
# bsc#1105592
rm -r t/ps
if [ -e PerlMagick/typemap ]; then
  echo "With Graphics Magick 1.4.0, typmap exists yet, please "
  echo "no need to carry it as a package source anymore."
  exit 1
else
  cp %{SOURCE1} .
fi
perl Makefile.PL
make %{?_smp_mflags} LD_RUN_PATH="%{_libdir}"

%install
%make_install
cp ChangeLog* *.txt %{buildroot}/%{_defaultdocdir}/%{name}
cd PerlMagick
make DESTDIR=%{buildroot} LD_RUN_PATH="%{_libdir}" install_vendor
%perl_process_packlist
# Remove unpackaged files.
rm -f `find %{buildroot}%{_libdir}/perl*/ -name perllocal.pod -type f`
rm -f `find %{buildroot}%{_libdir}/perl*/ -name .packlist -type f`
# perl modules are in lib even on 64 bit arch
rm -f `find %{buildroot}%{_libexecdir}/perl*/ -name perllocal.pod -type f`
rm -f `find %{buildroot}%{_libexecdir}/perl*/ -name .packlist -type f`
rm -f %{buildroot}%{_localstatedir}/adm/perl-modules/GraphicsMagick
rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%post -n libGraphicsMagick-Q%{quant}-%{so_ver} -p /sbin/ldconfig

%postun -n libGraphicsMagick-Q%{quant}-%{so_ver} -p /sbin/ldconfig

%post -n libGraphicsMagickWand-Q%{quant}-%{wand_so_ver} -p /sbin/ldconfig

%postun -n libGraphicsMagickWand-Q%{quant}-%{wand_so_ver} -p /sbin/ldconfig

%post -n libGraphicsMagick++-Q%{quant}-%{pp_so_ver} -p /sbin/ldconfig

%postun -n libGraphicsMagick++-Q%{quant}-%{pp_so_ver} -p /sbin/ldconfig

%files
%defattr(644, root, root, 755)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%doc %{_datadir}/%{name}-%{version}
%exclude %{_datadir}/%{name}-%{version}/config
%attr(755, root, root) %{_bindir}/gm
%doc %{_mandir}/man1/gm.1.gz
%doc %{_mandir}/man4/*gz
%doc %{_mandir}/man5/*gz

%files -n libGraphicsMagick-Q%{quant}-%{so_ver}
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}-Q%{quant}.so.*
%dir %{_libdir}/%{name}-%{version}
%dir %{_libdir}/%{name}-%{version}/modules-Q%{quant}
%dir %{_libdir}/%{name}-%{version}/modules-Q%{quant}/coders
%dir %{_libdir}/%{name}-%{version}/modules-Q%{quant}/filters
%{_libdir}/%{name}-%{version}/modules-Q%{quant}/*/*.so
%{_libdir}/%{name}-%{version}/modules-Q%{quant}/*/*.la

%files -n libGraphicsMagick%{so_ver}-config
%defattr(-,root,root)
%dir %{_libdir}/%{name}-%{version}/config
%{_libdir}/%{name}-%{version}/config/*.mgk
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/config

%files -n libGraphicsMagickWand-Q%{quant}-%{wand_so_ver}
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}Wand-Q%{quant}.so.*

%files devel
%defattr(644, root, root, 755)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/wand
%{_includedir}/%{name}/wand/*
%dir %{_includedir}/%{name}/magick
%{_includedir}/%{name}/magick/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}Wand.so
%dir %{_libdir}/%{name}-%{version}/modules-Q%{quant}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}Wand.pc
%attr(755, root, root) %{_bindir}/%{name}-config
%attr(755, root, root) %{_bindir}/%{name}Wand-config
%doc %{_mandir}/man1/%{name}-config.1.gz
%doc %{_mandir}/man1/%{name}Wand-config.1.gz

%files -n perl-GraphicsMagick
%defattr(644, root, root, 755)
%dir %{perl_vendorarch}/Graphics
%dir %{perl_vendorarch}/auto/Graphics
%dir %{perl_vendorarch}/auto/Graphics/Magick
%{perl_vendorarch}/Graphics/Magick.pm
%{perl_vendorarch}/auto/Graphics/Magick/*
%doc %{_mandir}/man3/*gz

%files -n libGraphicsMagick++-Q%{quant}-%{pp_so_ver}
%defattr(644, root, root, 755)
%{_libdir}/lib%{name}++-Q%{quant}.so.*

%files -n libGraphicsMagick++-devel
%defattr(644, root, root, 755)
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/Magick++
%{_includedir}/%{name}/Magick++.h
%{_includedir}/%{name}/Magick++/*
%{_libdir}/lib%{name}++.so
%{_libdir}/pkgconfig/%{name}++.pc
%attr(755, root, root) %{_bindir}/%{name}++-config
%doc %{_mandir}/man1/%{name}++-config.1.gz

%changelog
* Fri Oct 12 2018 Petr Gajdos <pgajdos@suse.com>
- security update (bmp.c)
  * CVE-2018-18024 [bsc#1111069]
  * GraphicsMagick-CVE-2018-18024.patch
* Sat Sep 15 2018 Petr Gajdos <pgajdos@suse.com>
- security update (meta.c):
  * CVE-2018-16750 [bsc#1108283]
    + GraphicsMagick-meta.c-update.patch
* Mon Sep 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (pict.c):
  * CVE-2018-16644 [bsc#1107609]
    + GraphicsMagick-CVE-2018-16644.patch
* Mon Sep 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (bmp.c, dib.c):
  * CVE-2018-16645 [bsc#1107604]
    + GraphicsMagick-CVE-2018-16645.patch
* Mon Sep  3 2018 pgajdos@suse.com
- security update
  * CVE-2018-16323 [bsc#1106855]
    . GraphicsMagick-CVE-2017-13776,13777.patch renamed to
    GraphicsMagick-CVE-2017-13776,13777,CVE-2018-16323.patch
* Wed Aug 22 2018 pgajdos@suse.com
- disable PS, PS2, PS3 and PDF coders by default, remove gs calls
  from delegates.mgk
  [bsc#1105592]
* Tue Aug  7 2018 pgajdos@suse.com
- security update (pcd.c):
  * CVE-2018-14435 [bsc#1102007]
    + GraphicsMagick-CVE-2018-14435.patch
* Wed Jun 20 2018 pgajdos@suse.com
- security update (rgb.c, cmyk.c, gray.c)
  * CVE-2018-10805 and similar memory leaks [bsc#1095812]
    + GraphicsMagick-CVE-2018-10805.patch
* Wed Jun 13 2018 pgajdos@suse.com
- security udpate (dcm.c)
  * fix invalid reads in dcm.c [bsc#1075821c#14]
    GraphicsMagick-dcm.c-update-2.patch
* Wed May 23 2018 pgajdos@suse.com
- security update (miff.c)
  * CVE-2017-18271 [bsc#1094204]
    + GraphicsMagick-CVE-2017-18271.patch
* Mon Apr 30 2018 pgajdos@suse.com
- security update (png.c)
  * CVE-2018-10177 [bsc#1089781]
    + GraphicsMagick-CVE-2018-10177.patch
* Tue Apr 24 2018 pgajdos@suse.com
- security update (core)
  * CVE-2018-6799 [bsc#1080522]
    + GraphicsMagick-CVE-2018-6799.patch
* Tue Apr 24 2018 pgajdos@suse.com
- GraphicsMagick-CVE-2017-8353.patch renamed to
  GraphicsMagick-CVE-2017-13066.patch [bsc#1055010]
- GraphicsMagick-CVE-2017-11532.patch renamed to
  GraphicsMagick-CVE-2017-11641.patch [bsc#1050623]
- GraphicsMagick-CVE-2017-18028.patch renamed to
  GraphicsMagick-CVE-2017-18229.patch [bsc#1085236]
* Fri Apr 13 2018 pgajdos@suse.com
- security update (png.c)
  * CVE-2018-9018 [bsc#1086773]
    + GraphicsMagick-CVE-2018-9018.patch
* Tue Apr 10 2018 pgajdos@suse.com
- security update (gif.c)
  * CVE-2017-18254 [bsc#1087027]
    + GraphicsMagick-CVE-2017-18254.patch
* Fri Apr  6 2018 pgajdos@suse.com
- security update (pcd.c)
  * CVE-2017-18251 [bsc#1087037]
    + ImageMagick-CVE-2017-18251.patch
* Tue Mar 20 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-11524 [bsc#1050087]
    + GraphicsMagick-CVE-2017-11524.patch
* Wed Mar 14 2018 pgajdos@suse.com
- security update (cineon.c):
  * CVE-2017-18230 [bsc#1085233]
    + GraphicsMagick-CVE-2017-18230.patch
* Wed Feb 28 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-16353 [bsc#1066170]
    + GraphicsMagick-CVE-2017-16353.patch
  * CVE-2017-16352 [bsc#1066168]
    + GraphicsMagick-CVE-2017-16352.patch
  * CVE-2017-14314 [bsc#1058630]
    + GraphicsMagick-CVE-2017-14314.patch
  * CVE-2017-14505 [bsc#1059735]
    + GraphicsMagick-CVE-2017-14505.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (emf.c):
  * CVE-2017-15016 [bsc#1082291]
    + GraphicsMagick-CVE-2017-15016.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (png.c):
  * CVE-2017-15017 [bsc#1082283]
    + GraphicsMagick-CVE-2017-15017.patch
* Tue Feb 20 2018 pgajdos@suse.com
- security update (uil.c):
  * CVE-2017-11533 [bsc#1050132]
    + GraphicsMagick-CVE-2017-11533.patch
* Tue Feb 20 2018 pgajdos@suse.com
- security update (wpg.c):
  * CVE-2017-17682 [bsc#1072898]
    + GraphicsMagick-CVE-2017-17682.patch
* Tue Feb 20 2018 pgajdos@suse.com
-  security update (rgb.c):
  * CVE-2017-17500 [bsc#1077737]
    + GraphicsMagick-rgb.c-update.patch
* Thu Feb 15 2018 pgajdos@suse.com
- security update (pcl.c):
  * CVE-2017-11637 [bsc#1050669]
    + GraphicsMagick-CVE-2017-11637.patch
* Wed Feb 14 2018 pgajdos@suse.com
- security update (map.c):
  * CVE-2017-11638, CVE-2017-11642 [bsc#1050617]
    + GraphicsMagick-CVE-2017-11638,11642.patch
* Wed Feb 14 2018 pgajdos@suse.com
- security update (gray.c):
  * CVE-2017-17503 [bsc#1072934]
    + GraphicsMagick-gray.c-update.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security udpate (cut.c):
  * CVE-2017-14060 [bsc#1056768]
    + ImageMagick-CVE-2017-14060.patch
* Fri Feb  9 2018 pgajdos@suse.com
- update dcm.c to newest code
* Fri Feb  9 2018 pgajdos@suse.com
- security update (cmyk.c):
  * CVE-2017-17502 [bsc#1073081]
    + GraphicsMagick-cmyk.c-update.patch
* Wed Feb  7 2018 pgajdos@suse.com
- security update (jpeg.c):
  * CVE-2017-11450 [bsc#1049374]
    + GraphicsMagick-CVE-2017-11450.patch
  * CVE-2017-11140 [bsc#1047900]
    + GraphicsMagick-CVE-2017-11140.patch
* Tue Feb  6 2018 pgajdos@suse.com
- security update (pcx.c):
  * CVE-2017-14224 [bsc#1058009]
    + ImageMagick-CVE-2017-14224.patch
* Mon Jan 29 2018 pgajdos@suse.com
- security update (tiff.c):
  * CVE-2017-17912 [bsc#1074307]
    + GraphicsMagick-CVE-2017-17912.patch
  * CVE-2017-18229 [bsc#1085236]
    + GraphicsMagick-CVE-2017-18229.patch
* Fri Jan 26 2018 pgajdos@suse.com
- GraphicsMagick-CVE-2017-13063,13064.patch a renamed to
  GraphicsMagick-CVE-2017-13063,13064,13065.patch as it also
  fixes CVE-2017-13065 [bsc#1055038]
* Wed Jan 24 2018 pgajdos@suse.com
- security update (bmp.c):
  * CVE-2018-5685 [bsc#1075939]
    + GraphicsMagick-CVE-2018-5685.patch
* Tue Jan 16 2018 pgajdos@suse.com
- security update (png.c):
  * CVE-2017-9262 [bsc#1043353]
  * CVE-2017-9261 [bsc#1043354]
  * CVE-2017-11750 [bsc#1051442]
  * CVE-2017-12676 [bsc#1052708]
  * CVE-2017-12673 [bsc#1052717]
  * CVE-2017-12641 [bsc#1052777]
  * CVE-2017-12935 [bsc#1054600]
  * CVE-2017-13147 [bsc#1055374]
  * CVE-2017-13142 [bsc#1055455]
  * CVE-2017-14103 [bsc#1057000]
  * CVE-2017-15218 [bsc#1062752]
  * CVE-2017-11722 [bsc#1051411]
  * CVE-2017-18219 [bsc#1084060]
  * CVE-2017-18220 [bsc#1084062]
  * CVE-2018-16749 [bsc#1108282]
  + added GraphicsMagick-png.c-update.patch, 15288:5c4bd14a370c state
  of png.c
* Tue Jan  9 2018 pgajdos@suse.com
- security update (core):
  * CVE-2017-18022 [bsc#1074975]
    + GraphicsMagick-CVE-2017-18022.patch
* Mon Jan  8 2018 pgajdos@suse.com
- security update (mat.c):
  * CVE-2017-12672 [bsc#1052720]
  * CVE-2017-13060 [bsc#1055065]
  * CVE-2017-12670 [bsc#1052731]
  * CVE-2017-10800 [bsc#1047044]
  * CVE-2017-13648 [bsc#1055434]
  * CVE-2017-12564 [bsc#1052468]
  * CVE-2017-12675 [bsc#1052710]
  * CVE-2017-14326 [bsc#1058640]
  * CVE-2017-17881 [bsc#1074123]
  * CVE-2017-18029 [bsc#1076021]
  * CVE-2017-18027 [bsc#1076051]
  + added GraphicsMagick-mat.c-update.patch, 15288:5c4bd14a370c state
  of mat.c
* Wed Jan  3 2018 pgajdos@suse.com
- security update (mpc.c):
  * CVE-2017-11449 [bsc#1049373]
    + GraphicsMagick-CVE-2017-11449.patch
  * CVE-2017-11641 [bsc#1050623]
    + GraphicsMagick-CVE-2017-11641.patch
* Tue Jan  2 2018 pgajdos@suse.com
- security update (render.c):
  * CVE-2017-16547 [bsc#1067177]
    + GraphicsMagick-CVE-2017-16547.patch
* Tue Jan  2 2018 pgajdos@suse.com
- security update (pwp.c):
  * memory leak in pwp.c [bsc#1051412]
    + GraphicsMagick-pwp.c-memory-leak.patch
* Wed Dec 13 2017 pgajdos@suse.com
- security update (pnm.c):
  * CVE-2017-14042 [bsc#1056550]
    + GraphicsMagick-CVE-2017-14042.patch
  * CVE-2017-14504 [bsc#1059721]
    + GraphicsMagick-CVE-2017-14504.patch
  * CVE-2017-17498 [bsc#1072103]
    + GraphicsMagick-CVE-2017-17498.patch
* Mon Dec 11 2017 pgajdos@suse.com
- security update (gif.c):
  * CVE-2017-15277 [bsc#1063050]
    + GraphicsMagick-CVE-2017-15277.patch
* Wed Dec  6 2017 pgajdos@suse.com
- security update (rle.c):
  * CVE-2017-14733 [bsc#1060577]
    + GraphicsMagick-CVE-2017-14733.patch
* Tue Dec  5 2017 pgajdos@suse.com
- security update (pdf.c):
  * CVE-2017-12662 [bsc#1052758]
    + GraphicsMagick-CVE-2017-12662.patch
* Mon Dec  4 2017 pgajdos@suse.com
- security update (dcm.c):
  * CVE-2017-14994 [bsc#1061587]
    + GraphicsMagick-CVE-2017-14994.patch
  * CVE-2017-12140, CVE-2017-12644 [bsc#1052764] [bsc#1051847]
    + GraphicsMagick-CVE-2017-12140,12644.patch
* Mon Dec  4 2017 pgajdos@suse.com
- security update (dpx.c):
  * CVE-2017-10799 [bsc#1047054]
    + GraphicsMagick-CVE-2017-10799.patch
* Mon Nov 27 2017 pgajdos@suse.com
- security update (tiff.c)
  * CVE-2017-13737 [bsc#1056162]
    + GraphicsMagick-CVE-2017-13737.patch
  * CVE-2017-11640 [bsc#1050632]
    + GraphicsMagick-CVE-2017-11640.patch
* Tue Nov 21 2017 pgajdos@suse.com
- security update (wpg.c):
  * CVE-2017-14342 [bsc#1058485]
    + GraphicsMagick-CVE-2017-14342.patch
  * CVE-2017-14341 [bsc#1058637]
    + GraphicsMagick-CVE-2017-14341.patch
  * CVE-2017-16546 [bsc#1067181]
    + GraphicsMagick-CVE-2017-16546.patch
  * CVE-2017-16545 [bsc#1067184]
    + GraphicsMagick-CVE-2017-16545.patch
  * CVE-2017-16669 [bsc#1067409]
    + GraphicsMagick-CVE-2017-16669.patch
* Tue Nov  7 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13776, CVE-2017-13777 [bsc#1056429], [bsc#1056426]
    + GraphicsMagick-CVE-2017-13776,13777.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13134 [bsc#1055214]
    + GraphicsMagick-CVE-2017-13134.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-15930 [bsc#1066003]
    + GraphicsMagick-CVE-2017-15930.patch
* Fri Nov  3 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12983 [bsc#1054757]
    + GraphicsMagick-CVE-2017-12983.patch
* Wed Nov  1 2017 pgajdos@suse.com
- security update:
  * CVE-2017-14165 [bsc#1057508]
    + GraphicsMagick-CVE-2017-14165.patch
* Tue Oct 24 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12936 [bsc#1054598]
    + GraphicsMagick-CVE-2017-12936.patch
* Mon Oct 23 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13139 [bsc#1055430]
    + GraphicsMagick-CVE-2017-13139.patch
* Mon Oct 23 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12937 [bsc#1054596]
    + GraphicsMagick-CVE-2017-12937.patch
* Fri Oct 20 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13063 [bsc#1055050], CVE-2017-13064 [bsc#1055042]
    + GraphicsMagick-CVE-2017-13063,13064.patch
* Fri Oct 20 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13775 [bsc#1056431]
    + GraphicsMagick-CVE-2017-13775.patch
* Mon Oct  9 2017 pgajdos@suse.com
- ThrowException does not return [bsc#1061873c#6]
  + amended GraphicsMagick-CVE-2017-15033.patch
* Fri Oct  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-15033 [bsc#1061873]
    + GraphicsMagick-CVE-2017-15033.patch
* Thu Oct  5 2017 pgajdos@suse.com
- security update:
  * CVE-2017-14532 [bsc#1059663]
    + GraphicsMagick-CVE-2017-14532.patch
* Tue Aug 15 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11643 [bsc#1050611]
    + GraphicsMagick-CVE-2017-11643.patch
  * CVE-2017-11636 [bsc#1050674]
    + GraphicsMagick-CVE-2017-11636.patch
* Fri Jul 21 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11403 [bsc#1049072]
    + GraphicsMagick-CVE-2017-11403.patch
* Mon Jun 26 2017 pgajdos@suse.com
- complementary fix for CVE-2017-8350 [bsc#1036985 c13-c21]
  * modified GraphicsMagick-CVE-2017-8350.patch
* Tue May 30 2017 pgajdos@suse.com
- security update:
  * CVE-2017-9142 [bsc#1040304]
    + GraphicsMagick-CVE-2017-9142.patch
* Wed May  3 2017 pgajdos@suse.com
- security update:
  * CVE-2017-8350 [bsc#1036985]
    + GraphicsMagick-CVE-2017-8350.patch
  * CVE-2017-8351 [bsc#1036986]
    + GraphicsMagick-CVE-2017-8351.patch
  * CVE-2017-13066 [bsc#1055010]
    + GraphicsMagick-CVE-2017-8353.patch
  * CVE-2017-8355 [bsc#1036990]
    + GraphicsMagick-CVE-2017-8355.patch
* Tue Mar 21 2017 pgajdos@suse.com
- security update:
  * CVE-2017-6335 [bsc#1027255]
    + GraphicsMagick-CVE-2017-6335.patch
* Tue Jan 17 2017 pgajdos@suse.com
- security update:
  * CVE-2016-10050 [bsc#1017312]
    + GraphicsMagick-CVE-2016-10050.patch
  * CVE-2016-10051 [bsc#1017313]
    + GraphicsMagick-CVE-2016-10051.patch
  * CVE-2016-10052 [bsc#1017314]
    + GraphicsMagick-CVE-2016-10052.patch
  * CVE-2016-10048 [bsc#1017310]
    + GraphicsMagick-CVE-2016-10048.patch
  * CVE-2016-10146 [bsc#1020443]
    + GraphicsMagick-CVE-2016-10146.patch
  * CVE-2017-5511 [bsc#1020448]
    + GraphicsMagick-CVE-2017-5511.patch
  * CVE-2016-10068 [bsc#1017324]
    + GraphicsMagick-CVE-2016-10068.patch
  * CVE-2016-10070 [bsc#1017326]
    + GraphicsMagick-CVE-2016-10070.patch
- GraphicsMagick-buffer-overflow-pdb.patch corrected to
  GraphicsMagick-buffer-overflow-map.patch name
* Tue Dec 13 2016 pgajdos@suse.com
- security update:
  * CVE-2016-8866 [bsc#1009318]
    + GraphicsMagick-CVE-2016-8866.patch
  * CVE-2016-9830 [bsc#1013640]
    + GraphicsMagick-CVE-2016-9830.patch
* Tue Nov 29 2016 pgajdos@suse.com
- security update:
  * CVE-2016-5118 [bsc#982178]
    + GraphicsMagick-CVE-2016-5118.patch
  * CVE-2014-9805 [bsc#983752]
    + GraphicsMagick-CVE-2014-9805.patch
  * CVE-2014-9846 [bsc#983521]
    + GraphicsMagick-CVE-2014-9846.patch
  * CVE-2014-9807 [bsc#983794]
    + GraphicsMagick-CVE-2014-9807.patch
  * CVE-2014-9809 [bsc#983799]
    + GraphicsMagick-CVE-2014-9809.patch
  * CVE-2014-9815 [bsc#984372]
    + GraphicsMagick-CVE-2014-9815.patch
  * CVE-2014-9817 [bsc#984400]
    + GraphicsMagick-CVE-2014-9817.patch
  * CVE-2014-9820 [bsc#984150]
    + GraphicsMagick-CVE-2014-9820.patch
  * CVE-2014-9834 [bsc#984436]
    + GraphicsMagick-CVE-2014-9834.patch
  * CVE-2014-9835, CVE-2014-9831 [bsc#984145] [bsc#984375]
    + GraphicsMagick-CVE-2014-9835,9831.patch
  * CVE-2014-9837 [bsc#984166]
    + GraphicsMagick-CVE-2014-9837.patch
  * CVE-2014-9845 [bsc#984394]
    + GraphicsMagick-CVE-2014-9845.patch
  * CVE-2014-9817 [bsc#984400]
    + GraphicsMagick-CVE-2014-9853.patch
  * CVE-2016-7529 [bsc#1000399]
    + GraphicsMagick-CVE-2016-7529.patch
  * CVE-2016-7528 [bsc#1000434]
    + GraphicsMagick-CVE-2016-7528.patch
  * CVE-2016-7515 [bsc#1000689]
    + GraphicsMagick-CVE-2016-7515.patch
  * CVE-2016-7522 [bsc#1000698]
    + GraphicsMagick-CVE-2016-7522.patch
  * CVE-2016-7531 [bsc#1000704]
    + GraphicsMagick-CVE-2016-7531.patch
  * CVE-2016-7533 [bsc#1000707]
    + GraphicsMagick-CVE-2016-7533.patch
  * CVE-2016-7537 [bsc#1000711]
    + GraphicsMagick-CVE-2016-7537.patch
  * CVE-2016-6823 [bsc#1001066]
    + GraphicsMagick-CVE-2016-6823.patch
  * CVE-2016-7101 [bsc#1001221]
    + GraphicsMagick-CVE-2016-7101.patch
  * do not divide by zero in WriteTIFFImage [bsc#1002206]
    + GraphicsMagick-write-tiff-div-by-zero.patch
  * fix buffer overflow [bsc#1002209]
    + GraphicsMagick-buffer-overflow-pdb.patch
  * CVE-2016-7800 [bsc#1002422]
    + GraphicsMagick-CVE-2016-7800.patch
  * CVE-2016-7996, CVE-2016-7997 [bsc#1003629]
    + GraphicsMagick-CVE-2016-7996,7997.patch
  * CVE-2016-8684 [bsc#1005123]
    + GraphicsMagick-CVE-2016-8684.patch
  * CVE-2016-8682 [bsc#1005125]
    + GraphicsMagick-CVE-2016-8682.patch
  * CVE-2016-8683 [bsc#1005127]
    + GraphicsMagick-CVE-2016-8683.patch
  * CVE-2016-8862 [bsc#1007245]
    + GraphicsMagick-CVE-2016-8862.patch
  * CVE-2016-9556 [bsc#1011130]
    + GraphicsMagick-CVE-2016-9556.patch
* Mon Sep 26 2016 pgajdos@suse.com
- update to 1.3.25:
  * EscapeParenthesis(): I was notified by Gustavo Grieco of a heap
    overflow in EscapeParenthesis() used in the text annotation code.
    While not being able to reproduce the issue, the implementation of
    this function is completely redone.
  * Utah RLE: Reject truncated/absurd files which caused huge memory
    allocations and/or consumed huge CPU.  Problem was reported by
    Agostino Sarubbo based on testing with AFL.
  * SVG/MVG: Fix another case of CVE-2016-2317 (heap buffer overflow) in
    the MVG rendering code (also impacts SVG).
  * TIFF: Fix heap buffer read overflow while copying sized TIFF
    attributes.  Problem was reported by Agostino Sarubbo based on
    testing with AFL.
* Thu Jun 23 2016 meissner@suse.com
- Build "gm" as position independend executable (PIE).
* Mon Jun  6 2016 pgajdos@suse.com
- updated to 1.3.24:
  * many security related changes (incl. CVE-2016-5118), see
    ChangeLog
- removed patches:
  * GraphicsMagick-CVE-2016-5118.patch
  * GraphicsMagick-upstream-delegates-safer.patch
  * GraphicsMagick-upstream-disable-mvg-ext.patch
  * GraphicsMagick-upstream-disable-tmp-magick-prefix.patch
  * GraphicsMagick-upstream-image-sanity-check.patch
* Mon May 30 2016 pgajdos@suse.com
- security update:
  * CVE-2016-5118 [bsc#982178]
    + GraphicsMagick-CVE-2016-5118.patch
* Mon May  9 2016 sflees@suse.de
- Multiple security issues in GraphicsMagick/ImageMagick [boo#978061]
  (CVE-2016-3714, CVE-2016-3718, CVE-2016-3715, CVE-2016-3717)
  * GraphicsMagick-upstream-delegates-safer.patch
  * GraphicsMagick-upstream-disable-mvg-ext.patch
  * GraphicsMagick-upstream-disable-tmp-magick-prefix.patch
  * GraphicsMagick-upstream-image-sanity-check.patch
* Sun Nov  8 2015 dmitry_r@opensuse.org
- Update to version 1.3.23
  * See included NEWS.txt for details
* Mon Oct  5 2015 dmitry_r@opensuse.org
- Update to version 1.3.22
  * See included NEWS.txt for details
* Sat Mar 21 2015 dmitry_r@opensuse.org
- Update to version 1.3.21
  * See included NEWS.txt for details
* Wed Sep 17 2014 dmitry_r@opensuse.org
- Move library configuration files to separated package
* Tue Sep 16 2014 dmitry_r@opensuse.org
- Fix devel package dependencies
* Sat Sep 13 2014 dmitry_r@opensuse.org
- Update to version 1.3.20
  * See included NEWS.txt for details
- Enable quantum depth in shared library names
- Enable bzip2, jbig, webp support
- Use LCMSv2
* Tue Feb 25 2014 dmitry_r@opensuse.org
- Fix quantum depth in package description
* Thu Jan  2 2014 pgajdos@suse.com
- updated to 1.3.19:
  * EPT: Fix crash observed when Ghostscript fails to produce useful
    output.  This was particularly noticeable when Ghostscript was not
    installed.  This crash could be used to cause denial of service.
  * PNG: With libpng 1.6.X, avoid a crash while copying a PNG with a
    "known incorrect ICC profile".  This crash could be used to cause
    denial of service.
  * etc. see NEWS.txt
* Mon Jul 15 2013 pgajdos@suse.com
- set quantum depth to 16 [bnc#828380]
* Tue Mar 12 2013 pgajdos@suse.com
- updated to 1.3.18:
  * Due to `GCC bug 53967`_, several key agorithms (e.g. convolution)
    may execute much faster (e.g. 2-3X) for x86-64 and/or when SSE is
    enabled for floating point math (`-mfpmath=sse`) if the GCC option
    `-frename-registers` is used. Default 32-bit builds do not
    experience the problem since they use '387 math.  It is not clear
    in what version of GCC this problem started but it was not noticed
    by the developers until the GCC 4.6 timeframe.  Other compilers do
    not suffer from this bug.
  * Fixed bug with format substitutions if input string ends with a
    single '%%'.
  * BMP: Fixed an old bug with decoding chromaticity primaries.
  * PNG: Fixed reading of interlaced images.  Fix reading of sub-8-bit
    palette and grayscale images.  Some PNG sub-formats were written
    incorrectly.  Fix crash in PNG8 writer if image colors happened to
    be non-zero but image was not actually colormapped.
  * PNG: Configure script now also searches for libpng versions 16 and
    17.
  * TIFF: Fix a crash which was noticed when writing RGBA separated
    (planar) format.
  * `--enable-symbol-prefix` was not prefixing all of the C
    symbols. Some core C library functions were not prefixed.  This
    option applies to the Wand library API as well now.
  * C API: When input is from a user-provided file descriptor, the
    file position is restored after reading the file header bytes.
    Previously the file position was rewound to the beginning of the
    file.  This allows reading embedded image data from the current
    offset in a file, and allows continuing to use the stream after
    GraphicsMagick has returned the image.
  * C API: It is now possible to invoke CloseBlob() multiple times.
  * etc. see NEWS.txt
* Mon Oct 15 2012 pgajdos@suse.com
- updated to 1.3.17:
  * PNG: Fix for CVE-2012-3438. The Magick_png_malloc function in
    coders/png.c in GraphicsMagick 6.7.8-6 does not use the proper
    variable type for the allocation size, which might allow remote
    attackers to cause a denial of service (crash) via a crafted PNG
    file that triggers incorrect memory allocation.
  * PNG: Reading sub-8-bit palette images is fixed (images looked
    stretched).
  * SVG: Fixed bug which allowed MVG and SVG files with long vector
    paths to crash the software.
  * SVG: Ignore XML headers rather than rendering them as text.
  * MVG/SVG/WMF/-draw: It is now possible to draw a plain ','
    character.
  * etc., see NEWS.txt
* Tue Jul 31 2012 pgajdos@suse.com
-  fixed PerlMagick/Makefile.PL.in [bnc#771540]
* Mon Jun 25 2012 pgajdos@suse.com
- updated to 1.3.16:
  Security Fixes:
  * Don't translate 'comment' and 'label' attributes if the request is
    made while a file is being read.  Only translate such attributes
    if they come from the command line or API user.
  Bug fixes:
  * SWT: SWT reader suffered from a number of implementation errors
    which caused it not to work any more.  Works again.
  * XBM: Fix memory leak observed when reading file in 'ping' mode.
  * Support -trim on images which use a consistent (single color)
    transparent background.  In this case, trim is done based on
    opacity rather than foreground color.
  * Include <sys/types.h> in order to assure that 'size_t' and
    'ssize_t' are declared.  This is necessary since
    MagickExtentImage() uses these types as part of its definition.
  * +repage was not working because parser was insisting that it
    should include an argument.
    (i.e. multiplying rather than dividing).
  * PerlMagick: Fix compilation with Perl 5.16.
  * PingBlob(): PingBlob was not working for all cases.  Is now based
    on BlobToImage() for assured reliability.
  Feature improvements:
  * MAT: Animated movies inside 4D matrices are loaded now.
  * PDF: File base name is used as the document title.
  * PNG: Fix issues observed specifically with libpng 1.5.10.
  Performance Improvements:
  * Pixel iterators should be more efficient now if the image uses a
    file-backed cache.
  * Motion blur algorithm does scale well as cores are added so
    include OpenMP support for it by default.
* Mon Jun  4 2012 pgajdos@suse.com
- added PerlMagick/typemap to build module with perl 5.16; to be
  removed for 1.4.0
* Wed May  2 2012 pgajdos@suse.com
- updated to 1.3.15:
  Bug fixes:
  * PNG - fixed problem with bit depth when the encoder decides to
    write RGBA instead of indexed PNG.
  * Fixed some temporary file leaks which were caused by the temporary
    file name being automatically extended to include a scene number,
    and therefore fail to be deleted.
  New Features:
  * Added '+noise random' and '-operator noise-random' to 'convert'
    and 'mogrify'.  This modulates the existing image data with
    uniformely random noise.
  * Added -strip option in composite, convert, mogrify, and montage to
    remove all profiles and text attributes from the image.
  * Added -repage option to composite, convert, mogrify, and montage
    subcommands to reset or adjust the current image page offsets
    based on a provided geometry specification.
  * New C function StripImage() to remove all profiles and text
    attributes from the image.
  * New C function ResetImagePage() to adjust the current image page
    canvas and position based on a relative page specification.
  * C functions GenerateDifferentialNoise(), AddNoiseImageChannel(),
    QuantumOperatorRegionImage(), AddNoiseImage() updated to support
    RandomNoise enumeration.
  * New C++ Image method strip(), and unary function stripImage() to
    remove all profiles and text attributes from the image.
  * XCF format now respects image subimage and subrange members so
    that returned image layers may be selected.
  * The INFO coder (e.g. output file "info:-") now respects the
  - format option so that its output may be adjusted identically to
    how -format works for 'identify'.
  * TclMagick now supports Random noise.
  Feature improvements:
  * C function ThumbnailImage() now allows the user to override the
    filter used, but still defaults to using the box filter.
  Behavior Changes:
  * No longer add a printf-style scene formatting specification to
    filenames which do not have one and no longer automatically
    operate in 'adjoin' mode in such cases.  If multiple numbered
    files are intended to be output, then add +adjoin to the command
    line and use an output filename specification similar to
    "image-%%d.jpg".  Output files are now completely specified and
    predictable but this may break some existing usages which
    anticipate the automatic file numbering.
* Mon Feb 27 2012 pgajdos@suse.com
- updated to 1.3.14:
  Bug fixes:
  * TGA format: Assume that 32-bit TGA files have an alpha channel,
    even if they are not marked as such.
  * XCF format: Fix reading XCF which is comprised of different sized
    layers.
  * JPEG & CineonLog: Convert RGB-compatible colorspaces
    (e.g. CineonLog) to RGB by default since that was the case prior
    to release 1.3.13.
  * RAW formats: Small memory leak in dcraw module was fixed.
  * Resize: ResizeImage() was ignoring its resize filter argument and
    was using the filter setting from the Image structure instead.
  * The mirror virtual pixel method was broken.
  New Features:
  * Open64 Compiler Suite: Version 5.0 is fully supported.
  * Wand API: Added MagickExtentImage().
  * MEF RAW: Mamiya Photo RAW "MEF" format is now supported.
  Feature improvements:
  * DPX format: Original file endianness is preserved by default.
  Performance Improvements:
  * Despeckle algorithm (-despeckle) is many times faster.
  Behavior Changes:
  * DPX format: Original file endianness is preserved by default.
* Tue Dec 27 2011 pgajdos@suse.com
- updated to 1.3.13:
  * In I/O blob, don't rewind already open file handle passed to
    OpenBlob() since we don't know the intended state of this file
    handle, and because it prevents appending to an existing file.
  * In AppendImageProfile(), don't leak profile buffer while appending
    a chunk to an existing profile.
  * Fix deadlock in ClonePixelCache() which was caused by using the
    same semaphore pointer in the source and destination images.
  * etc. see NEWS.txt
- disabled perl.patch
* Mon Apr 11 2011 pgajdos@suse.cz
- removed dependency of devel packages on the main package
  [bnc#685755]
* Wed Dec 22 2010 neptunia@mail.ru
- restoring *-config scripts as in upstream version: their removal
  breaks older software
* Tue Dec 14 2010 cristian.rodriguez@opensuse.org
- package no longer requires -fno-strict-aliasins
- fix -devel package dependencies
- run make check
- exclude *-config scripts, whatever uses them _must_ use pkgconfig
  to avoid the mess this scripts create.
* Mon Jul 12 2010 pgajdos@suse.cz
- added xorg-x11-fonts as runtime dependency [bnc#619103]
* Tue Mar  9 2010 pgajdos@suse.cz
- updated to version 1.3.12:
  * Filter mode (write to stdout) was completely broken.
  * Should now compile with libpng 1.4.
  * DCX output format is only written on request.  Previously the PCX
    coder would automatically switch to DCX format if multiple frames
    would be written.
* Tue Feb 23 2010 pgajdos@suse.cz
- updated to version 1.3.11:
  * Fixed array underflow on systems using signed char
    which could result in a program crash due to extended
    characters in filenames or in certain file formats.
  * Fixed array underflow on systems using signed char
    which could result in a program crash due to extended
    characters in filenames or in certain file formats.
  * Added a -thumbnail command to 'convert' and 'mogrify'.
    This is a faster way to scale down the image when
    speed is a primary concern.
  * Added a -extent command to 'convert' and 'mogrify'
    which composites the image on top of a backing
    canvas image of solid color.
  * Added support for -compose to the 'convert' and
    'mogrify', which were documented to support it
    (but did not).
  * Requests for 'Over' and 'Atop' composition are
    converted to a request for the (faster) 'Copy'
    composition when both images are opaque.
* Mon Feb 15 2010 pgajdos@suse.cz
- updated to version 1.3.10:
  * +adjoin was not working correctly for the case when only one image
    frame is present.  With +adjoin and writing one frame to
    "foo%%d.jpg" it was outputting "foo%%d.jpg" rather than "foo0.jpg".
  * When drawing paths, memory allocation for the points was much
    larger than it needed to be (patch by Vladimir Lukianov).
  * To reiterate the change which first appeared in 1.3.9, there is no
    longer an implicit +adjoin if the output file name happens to
    contain a %%d sequence, or there are multiple frames and the output
    file format only supports storing one frame.  Specify +adjoin if
    scene number substition is desired in the output file names.
* Mon Feb  8 2010 pgajdos@suse.cz
- updated to version 1.3.9:
  * There is no longer an implicit 'adjoin' if an output filename
    contains an apparent scene specification (e.g. foo%%02d.tiff) and
    multiple files are not needed to save the image..  It is necessary
    to use +adjoin.  For example ``gm convert foo.pdf +adjoin
    %%02d.tiff``.
  * For formats which support multiple frames, output with +adjoing to
    filenames containing a scene specification (e.g. foo%%02d.tiff) was
    resulting in wrong output file names.
  * -flatten now applies the image background color under the first
    image in the list if it is not already opaque.
  * Fix "double free" error when using gm import -frame.
  * XPM does not support RGBA color syntax, so return RGB instead.
  * The display '-update' option was only working in conjunction with
    the '-delay' option with a delay setting of 2 or greater.
  * -convolve was crashing rather than reporting an error.
  * Fixed crash if the number of OpenMP threads was reduced from the
    original value via '-limit threads' or omp_set_num_threads().
  * -blur was not blurring the opacity channel for solid-color images.
  * Several deleted global string constants are restored with
    deprecated status in order to assure that symbols are not removed
    from the ABI.
* Mon Jan 25 2010 pgajdos@suse.cz
- updated to version 1.3.8:
  Security Fixes:
  * Fix for CVE-2009-1882 "Integer overflow in the XMakeImage
    function".
  * Fix lockup due to hanging in loop while parsing malformed
    sub-image specification (SourceForge issue 2886560).
  * Libltdl: Updated libtool to 2.2.6b in order to fix security issue.
    Resolves CVE-2009-3736 as it pertains to GraphicsMagick.
  Bug fixes:
  * -convolve, -recolor: Validate that user-provided matrix is square
    when parsing -convolve and -recolor commands in order to avoid a
    core dump.
  * CALS: Reading images taller than the image width resulted in a
    failure.
  * ConstituteImage(), DispatchImage(): 'A' and 'T' should indicate
    transparency and 'O' should indicate opacity.  Behavior was
    inconsistent.  In some cases 'O' meant transparency while in other
    cases it meant opacity. Also, in a few cases, matte was not
    getting enabled in the image as it should.
  * DCRAW: Module name was not registered so modules based builds were
    not supporting formats provided via 'dcraw'.
  * GetOptimalKernelWidth1D(), GetOptimalKernelWidth2D(): In the Q32
    build, convolution kernel size was estimated incorrectly for large
    sigmas on 32-bit systems due to arithmetic overflow.  This could
    cause wrong results for -convolve, -blur, -sharpen, and other
    algorithms which use these functions.
  etc., see NEWS.txt
* Mon Nov 23 2009 pgajdos@suse.cz
- updated to version 1.3.7 (see ChangeLog)
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Aug  4 2009 pgajdos@suse.cz
- updated to 1.2.7:
  - Bug fixes:
  * VID: Eliminate memory leak.
  * montage: Eliminate use of freed memory.
  * delegates.mgk: Fix hang when co-process is invoked.
  * identify: Return comment text of any size.
  * ConvolveImage: Correctly log the convolution kernel used.
  - Feature improvements:
  * Convert: Re-implement -write so that it works in a useful fashion.
  - Performance improvments:
  * TIFF: Ping mode ('identify') is now really fast.
* Wed Oct 15 2008 nadvornik@suse.cz
- renamed libGraphicsMagick1 -> libGraphicsMagick2
* Fri Sep 12 2008 nadvornik@suse.cz
-  updated to 1.2.5
  * many fixes and improvements
  * see NEWS.txt for details
- renamed libGraphicsMagickWand0 -> libGraphicsMagickWand1
- renamed libGraphicsMagick++1 -> libGraphicsMagick++2
* Fri May 23 2008 nadvornik@suse.cz
- fixed CVE-2008-1097 PCX buffer overflow [bnc#391366]
- fixed CVE-2008-1096 XCF Buffer overflow [bnc#391364]
* Tue Mar 11 2008 nadvornik@suse.cz
- updated to 1.1.11:
  * security fixes merged upstream
  * BMP, DIB: Support large files
  * TIFF: Endian option (-endian) now controls TIFF byte endian
    order rather than bit fill order
* Tue Oct 23 2007 nadvornik@suse.cz
- updated to 1.1.10:
  Bugs Fixed:
    o Image rotate by -90/270 degrees was producing wrong output.
    o In mogrify command, don't remove file name based on random junk in
    memory.
    o Fixed memory leak when reading MPC files.
    o Fixed crash when writing MIFF format and depth is not expected 8/16/32/.
    o In mogrify command, don't leak memory in the case where the image
    file contains multiple frames.
    o Fixed crash in PNG and JPEG coders when the image to be written is
    part of an image list.
    o PNG reader errors are now properly reported to the user.
    o TIFF output can now be written to a pipe or other non-seekable
    destination.
    o Support writing PDF with CCITT compression.
  Feature Improvements:
    o Added a new 'benchmark' command which can be used to perform
    benchmarking on any other command.
    o Image rotate in clockwise (90 degrees) or counter-clockwise (270
    degrees) direction is now 2-9X faster than before.
    o The -version option now includes a list of supported features.
- fixed interger overflows: CVE-2007-4985, CVE-2007-4986,
  CVE-2007-4988 [#327021]
- fixed to build with GCC 4.3
* Mon Aug  6 2007 nadvornik@suse.cz
- updated to 1.1.8:
  * security fixes merged upstream
  * a lot of other bugfixes
* Wed Jul 25 2007 nadvornik@suse.cz
- adjusted to Shared Library Policy:
  * new subpackages libGraphicsMagick1, libGraphicsMagickWand0
  * GraphicsMagick-c++ -> libGraphicsMagick++1
  * GraphicsMagick-c++-devel -> libGraphicsMagick++-devel
- fixed to build
* Thu Apr 19 2007 nadvornik@suse.cz
- fixed various crashes on malformed input, including
  CVE-2007-1797 and CVE-2007-1667 [#258253]
- adjusted BuildRequires for libjasper-devel
* Tue Feb 27 2007 dmueller@suse.de
- reduce buildrequires
* Thu Feb 22 2007 nadvornik@suse.cz
- fixed patch for palm codec CVE-2006-5456 [#215685]
- fixed palm patch for palm codec [#215685]
- fixed PerlMagic module library dependencies [#243002]
- fixed broken code that caused compiler warnings [#243012]
* Thu Nov 16 2006 dmueller@suse.de
- fix c++-devel package requires
* Mon Oct 30 2006 nadvornik@suse.cz
- applied debian patch for CVE-2006-5456, CVE-2006-3743,
  CVE-2006-3744, CAN-2005-0397, CVE-2005-4601
* Thu Sep 21 2006 nadvornik@suse.cz
- minor adjustments in spec file
* Thu Sep 14 2006 lmichnovic@suse.cz
- initial version 1.1.7
